Package org.apache.tapestry5.services

## Interface BindingFactory

- All Known Implementing Classes:
    `AssetBindingFactory`, `BlockBindingFactory`, `ComponentBindingFactory`, `ContextBindingFactory`, `LiteralBindingFactory`, `MessageBindingFactory`, `NullFieldStrategyBindingFactory`, `PropBindingFactory`, `RenderVariableBindingFactory`, `SymbolBindingFactory`, `TranslateBindingFactory`, `ValidateBindingFactory`

      public interface BindingFactory

  Creates a binding of a particular type. This is usually invoked from the `BindingSource` service.

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method | Description
    --- | --- | ---
    `Binding` | `newBinding​(java.lang.String description, ComponentResources container, ComponentResources component, java.lang.String expression, Location location)` | Creates a new binding instance.

- - ### Method Detail

    - #### newBinding

          Binding newBinding​(java.lang.String description,
                             ComponentResources container,
                             ComponentResources component,
                             java.lang.String expression,
                             Location location)

      Creates a new binding instance. The binding represents a connection between the container and the component (the component is usually the child of the component, though in a few cases, it is the component itself). In most cases, the expression is evaluated in terms of the resources of the container and the component is ignored.
      Parameters:
        `description` - of the binding, such as, "parameter foo"
        `container` - the component, as represented by its resources, for which a binding is to be created.
        `component` - the component whose parameter is to be bound by the resulting binding (rarely used)
        `expression` -
        `location` - from which the binding was generate, or null if not known
      Returns:
        the new binding instance